It is currently Thu Jun 22, 2017 6:37 pm


All times are UTC




Post new topic Reply to topic  [ 13 posts ]  Go to page Previous  1, 2
Author Message
 Post subject: Re: GNS3 1.0alpha1 install on Ubuntu 14.04 beta2
PostPosted: Sun Apr 06, 2014 10:45 pm 
Offline

Joined: Tue Apr 01, 2014 2:11 pm
Posts: 43
Location: Ohio, US
kenneth_vargas wrote:
Hello all;

I hope you are doing great;

Has some one face the following error message:

$ gns3GNS3 GUI version 1.0a2.dev1
Copyright (c) 2007-2014 GNS3 Technologies Inc.
---------Traceback lines (saved in exception.log)----------
Traceback (most recent call last):

File "/usr/local/bin/gns3", line 9, in <module>
load_entry_point('gns3-gui==1.0a2.dev1', 'console_scripts', 'gns3')()

File "/usr/local/lib/python3.2/dist-packages/gns3_gui-1.0a2.dev1-py3.2.egg/gns3/main.py", line 60, in main
raise RuntimeError("Python 3.3 or higher is required")

RuntimeError: Python 3.3 or higher is required


-- I already installed python 3.4 but I still get the same error when trying to start the gns3server and gns3.

Best regards;

I'm running ubuntu 12.04 64 bits, I am not totally new to linux but I am not a master.
If you can help me I would really appreciate it.

This happens because the Python3 package (and I would assume all associated packages, such as python3-pyqt4, etc.) for Ubuntu 12.04 is actually Python3.2.something. So, even if you had managed to get the Python3.4 or 3.3 package from somewhere (it's not in the default package repository afaik) and install it, then you would still need to find the correct additional packages that are made for python3.4 or 3.3 and then instead of typing "python3" for the commands in the guide, you would need to do "python3.4" or "python3.3" (depending on which one you installed). Otherwise, you end up with everything still using Python 3.2.whatever.



_________________
Joe Amen - Enterprise IT Consultant
CompTIA A+, Net+
CCNA in progress


Top
 Profile  
 
 Post subject: Re: GNS3 1.0alpha1 install on Ubuntu 14.04 beta2
PostPosted: Mon Apr 14, 2014 6:31 pm 
Offline

Joined: Mon Oct 20, 2008 12:33 pm
Posts: 11
Thanks a lot, works perfectly by mixing with linux mint iou instructions. I got dynamips and iou working on ubuntu 14.04 and lubuntu 13.10 both x64.


Top
 Profile  
 
 Post subject: Re: GNS3 1.0alpha1 install on Ubuntu 14.04 beta2
PostPosted: Mon Sep 22, 2014 5:27 pm 
Offline

Joined: Mon Jun 02, 2014 12:14 pm
Posts: 49
great




Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 13 posts ]  Go to page Previous  1, 2

All times are UTC


Who is online

Users browsing this forum: No registered users and 0 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO